Skip to content

Get a container

GET
/container/{ocid}
curl --request GET \
--url https://sylve.lan:8181/api/container/1 \
--header 'Authorization: <Authorization>'

Get a container’s configuration and live Podman state

ocid
required
integer

Container ID

Success

Media typeapplication/json
object
data
object
annotations
object
key
additional properties
string
catalogApp
string
command
Array<string>
cores
integer
cpuUsage
number
createdAt
string
creationPending
boolean
description
string
entrypoint
Array<string>
env
Array<object>
object
name
string
value
string
extraHosts
Array<string>
hostname
string
id
integer
image
string
ip
string
memory
integer
memoryUsage
number
mounts
Array<object>
object
guid
string
mode
string
owner
string
readOnly
boolean
source
string
target
string
type
string
Allowed values: volume dataset path
name
string
network
object
bridge
string
createdAt
string
gateway
string
id
integer
name
string
rangeEnd
string
rangeStart
string
subnet
string
switchId
integer
switchType
string
updatedAt
string
networkId
integer
ocId
integer
os
string
pool
string
ports
Array<object>
object
containerPort
integer
hostIp
string
hostPort
integer
protocol
string
restart
string
restartRetries
integer
runtime
object
exitCode
integer
finishedAt
string
ips
Array<string>
macs
Array<string>
startedAt
string
state
string
runtimeId
string
service
string
shmSize
string
stack
string
stackTitle
string
startAtBoot
boolean
startOrder
integer
stopTimeout
integer
title
string
updateDigest

UpdateDigest is the newer digest the image’s tag points at in its registry, found by the update check; empty when it’s current or unknown.

string
updatedAt
string
user
string
webHttps
boolean
webPort
integer
workDir
string
error
string
message
string
status
string
Example
{
"data": {
"mounts": [
{
"type": "volume"
}
]
}
}